org.apache.tapestry5.services.assets

## Enum CompressionStatus

- java.lang.Object
- - java.lang.Enum<CompressionStatus>
  - - org.apache.tapestry5.services.assets.CompressionStatus

- All Implemented Interfaces:
    Serializable, Comparable<CompressionStatus>

      public enum CompressionStatus
      extends Enum<CompressionStatus>

  Indicates how the content inside a `StreamableResource` is (potentially) compressed.
  Since:
    5.3

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMPRESSABLE` The content may be compressed but has not yet been compressed.
    `COMPRESSED` The content has been compressed, which must be reflected in the `Response`'s content encoding.
    `NOT_COMPRESSABLE` The content is not compressable.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CompressionStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CompressionStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COMPRESSABLE

          public static final CompressionStatus COMPRESSABLE

      The content may be compressed but has not yet been compressed. This is true for most text-oriented content types, but not for most image content types.

    - #### COMPRESSED

          public static final CompressionStatus COMPRESSED

      The content has been compressed, which must be reflected in the `Response`'s content encoding.

    - #### NOT_COMPRESSABLE

          public static final CompressionStatus NOT_COMPRESSABLE

      The content is not compressable. This is usually the case for image content types, where the native format of the content already includes compression.

  - ### Method Detail

    - #### values

          public static CompressionStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CompressionStatus c : CompressionStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CompressionStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

5.6.4 - Copyright © 2003-2021 The Apache Software Foundation.